Package org.tanukisoftware.wrapper

# Class WrapperUNIXUser

java.lang.Object
org.tanukisoftware.wrapper.WrapperUser
org.tanukisoftware.wrapper.WrapperUNIXUser

public class WrapperUNIXUser extends WrapperUser
A WrapperUser contains information about a user account on the platform running the Wrapper. A WrapperUser is obtained by calling WrapperManager.getUser() or WrapperManager.getInteractiveUser().

## Method Summary

Modifier and Type
Method
Description
`int`
`getGID()`
Returns the GID of the user account.
`WrapperUNIXGroup`
`getGroup()`
Returns the WrapperUNIXGroup which corresponds to the GID.
`String`
`getHome()`
Returns the home of the user.
`String`
`getRealName()`
Returns the real name of the user.
`String`
`getShell()`
Returns the shell of the user.
`int`
`getUID()`
Returns the UID of the user account.
`String`
`toString()`
Returns a string representation of the user.

### Methods inherited from class org.tanukisoftware.wrapper.WrapperUser

`getGroups, getUser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getUID

public int getUID()
Returns the UID of the user account.

Returns:
  The UID of the user account.

### getGID

public int getGID()
Returns the GID of the user account.

Returns:
  The GID of the user account.

### getGroup

public WrapperUNIXGroup getGroup()
Returns the WrapperUNIXGroup which corresponds to the GID. Null will be returned if groups were not requested with the user.

Returns:
  The WrapperUNIXGroup which corresponds to the GID.

### getRealName

public String getRealName()
Returns the real name of the user.

Returns:
  The real name of the user.

### getHome

public String getHome()
Returns the home of the user.

Returns:
  The home of the user.

### getShell

public String getShell()
Returns the shell of the user.

Returns:
  The shell of the user.

### toString

public String toString()
Returns a string representation of the user.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of the user.